# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::Boolean Class Reference

Represents an primitive Boolean value. More...

`#include <value.h>`

Inheritance diagram for KJS::Boolean:

[legend]
Collaboration diagram for KJS::Boolean:

[legend]
List of all members.

## Public Member Functions

| Boolean (bool b=false)
bool | value () const

## Static Public Member Functions

static Boolean | dynamicCast (const Value &v)

## Friends

class | BooleanImp

## Detailed Description

Represents an primitive Boolean value.

Definition at line 318 of file value.h.

## Member Function Documentation

Boolean Boolean::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an Boolean.

If the value's type is not BooleanType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type BooleanType, you should check the isValid() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to a Boolean

Definition at line 323 of file value.cpp.

The documentation for this class was generated from the following files:

- value.h
- internal.h
- value.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:20 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003